# Configuration Reload

## Overview <a href="#overview" id="overview"></a>

When you load a Beefree application inside the host application, you pass a [configuration object](https://docs.beefree.io/beefree-sdk/~/changes/s6kaGu3uaMgmVVo1sL8X/getting-started/readme/installation/configuration-parameters) with multiple sections that define the characteristics of the UI, UX, and available elements. However, there are cases when you may want to reload this configuration without the need to reload the Beefree application. In these cases, you can use a specific event to update the configuration while the editor is open.

## Use cases <a href="#use-cases" id="use-cases"></a>

With this event, you can make on-the-fly changes to the user experience. For example:

* Updating available categories for [Saved rows](https://docs.beefree.io/beefree-sdk/~/changes/s6kaGu3uaMgmVVo1sL8X/rows/storage/self-hosted-saved-rows)
* Refreshing a [Custom header](https://docs.beefree.io/beefree-sdk/~/changes/s6kaGu3uaMgmVVo1sL8X/other-customizations/advanced-options/custom-headers) for authorization
* Changing [Advanced permissions](https://docs.beefree.io/beefree-sdk/~/changes/s6kaGu3uaMgmVVo1sL8X/other-customizations/advanced-options/advanced-permissions) for the current user
* Updating settings for the editor’s [Content defaults](https://docs.beefree.io/beefree-sdk/~/changes/s6kaGu3uaMgmVVo1sL8X/other-customizations/appearance/content-defaults)

## How it works <a href="#how-it-works" id="how-it-works"></a>

You can load the configuration changes via a new instance event. Here’s an example:

```javascript

var newConfig = {
  advancedPermissions: {
    // new permissions
  }
}

bee.loadConfig(newConfig)

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.beefree.io/beefree-sdk/~/changes/s6kaGu3uaMgmVVo1sL8X/getting-started/readme/installation/configuration-parameters/configuration-reload.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
